Skip to navigation

Update IP Block

View as Markdown

Update an existing IP Block

Org must have an Infrastructure Provider. Specified IP Block must belong to the Provider and requesting user must have PROVIDER_ADMIN role. Only root IP Blocks can be patched.

Renaming an IP Block that NICo created from a Site fabric prefix keeps NICo from removing it.

Tenant IP Blocks are managed via Allocation. Unknown IDs, IP Blocks belonging to another Infrastructure Provider, and Tenant-created IP Blocks (managed: false) return 404.

Authentication

AuthorizationBearer
export JWT_BEARER_TOKEN="<jwt-bearer-token>"

# Example org name: "acme-inc
export ORG_NAME=<org-name>

# Use the JWT bearer token in your API request auth header:
curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current

Path parameters

orgstringRequired
Name of the Org
ipBlockIdstringRequired
ID of the IP Block

Request

This endpoint expects an object.
namestring or nullOptional2-256 characters
Name of the IP Block
descriptionstring or nullOptional
Description of the IP Block

Response

OK
idstringOptionalRead-onlyformat: "uuid"
Unique UUID v4 identifier for the IP Block
namestringOptional2-256 characters
Name of the IP Block
descriptionstring or nullOptional
Description of the IP Block
siteIdstringOptionalformat: "uuid"
ID of the Site
infrastructureProviderIdstringOptionalformat: "uuid"
ID of the Infrastructure Provider
tenantIdstring or nullOptionalformat: "uuid"
ID of the Tenant
managedbooleanOptionalRead-only

Always present. True for Site fabric/root/overlay blocks and blocks allocated to a Tenant by the Infrastructure Provider; false for blocks created by a Tenant. This classification is independent of the Tenant assignment and cannot be changed by clients.

routingTypeenumOptional
RoutingType of the IP Block
Allowed values:
prefixstringOptional
Either IPv4 or IPv6 address
prefixLengthintegerOptional

Min: 1, Max: 32 for ipv4, 128 for ipv6

protocolVersionenumOptional
Version of the ip network IPv4 or IPv6
Allowed values:
usageStatsobjectOptional
Usage summary from IPAM for the IP Block
statusenumOptional
Status of the IP Block
Allowed values:
statusHistorylist of objectsOptional
Chronological status history for the IP Block
createddatetimeOptionalRead-only

Date/time when the Ip Block was created

updateddatetimeOptionalRead-only

Date/time when the Ip Block was last updated

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error